package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_WASTE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2016-11-24
 */
@SuppressWarnings("serial")
public class HttWasteResultEntity implements java.io.Serializable {
	/**
	 * 缺陷项单号
	 */
	private String defSerialItem = "";
	/**
	 * 缺陷项序号
	 */
	private String defSerialNo = "";
	/**
	 * 炉批计划ID
	 */
	private String heatPlanNo = "";
	/**
	 * DEF_FILL_NO
	 */
	private String defFillNo = "";
	/**
	 * 缺陷项名称
	 */
	private String defFillName = "";
	/**
	 * 缺陷支数
	 */
	private String defFillNum = "";
	/**
	 * 缺陷时间
	 */
	private String creTime = "";
	/**
	 * 实绩编号(机组+工序点代码+年月日+6位流水)
	 */
	private String resultNo = "";
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 缺陷重量
	 */
	private String defFillWt = "";
	/**
	 * 缺陷项代码
	 */
	private String defFillCode = "";
	/**
	 * 批号
	 */
	private String batchNo = "";
	/**
	 * 废品总米长
	 */
	private String totalLen = "";

	/**
	 * 缺陷项单号
	 * @return value
	 */
	public String getDefSerialItem() {
		return defSerialItem;
	}

	/**
	 * 缺陷项单号
	 * @param defSerialItem value
	 */
	public void setDefSerialItem(String defSerialItem) {
		this.defSerialItem = defSerialItem;
	}

	/**
	 * 缺陷项序号
	 * @return value
	 */
	public String getDefSerialNo() {
		return defSerialNo;
	}

	/**
	 * 缺陷项序号
	 * @param defSerialNo value
	 */
	public void setDefSerialNo(String defSerialNo) {
		this.defSerialNo = defSerialNo;
	}

	/**
	 * 炉批计划ID
	 * @return value
	 */
	public String getHeatPlanNo() {
		return heatPlanNo;
	}

	/**
	 * 炉批计划ID
	 * @param heatPlanNo value
	 */
	public void setHeatPlanNo(String heatPlanNo) {
		this.heatPlanNo = heatPlanNo;
	}

	/**
	 * DEF_FILL_NO
	 * @return value
	 */
	public String getDefFillNo() {
		return defFillNo;
	}

	/**
	 * DEF_FILL_NO
	 * @param defFillNo value
	 */
	public void setDefFillNo(String defFillNo) {
		this.defFillNo = defFillNo;
	}

	/**
	 * 缺陷项名称
	 * @return value
	 */
	public String getDefFillName() {
		return defFillName;
	}

	/**
	 * 缺陷项名称
	 * @param defFillName value
	 */
	public void setDefFillName(String defFillName) {
		this.defFillName = defFillName;
	}

	/**
	 * 缺陷支数
	 * @return value
	 */
	public String getDefFillNum() {
		return defFillNum;
	}

	/**
	 * 缺陷支数
	 * @param defFillNum value
	 */
	public void setDefFillNum(String defFillNum) {
		this.defFillNum = defFillNum;
	}

	/**
	 * 缺陷时间
	 * @return value
	 */
	public String getCreTime() {
		return creTime;
	}

	/**
	 * 缺陷时间
	 * @param creTime value
	 */
	public void setCreTime(String creTime) {
		this.creTime = creTime;
	}

	/**
	 * 实绩编号(机组+工序点代码+年月日+6位流水)
	 * @return value
	 */
	public String getResultNo() {
		return resultNo;
	}

	/**
	 * 实绩编号(机组+工序点代码+年月日+6位流水)
	 * @param resultNo value
	 */
	public void setResultNo(String resultNo) {
		this.resultNo = resultNo;
	}

	/**
	 * 产线代码
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * @param plineCode value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * @param plineName value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 缺陷重量
	 * @return value
	 */
	public String getDefFillWt() {
		return defFillWt;
	}

	/**
	 * 缺陷重量
	 * @param defFillWt value
	 */
	public void setDefFillWt(String defFillWt) {
		this.defFillWt = defFillWt;
	}

	/**
	 * 缺陷项代码
	 * @return value
	 */
	public String getDefFillCode() {
		return defFillCode;
	}

	/**
	 * 缺陷项代码
	 * @param defFillCode value
	 */
	public void setDefFillCode(String defFillCode) {
		this.defFillCode = defFillCode;
	}

	/**
	 * 批号
	 * @return value
	 */
	public String getBatchNo() {
		return batchNo;
	}

	/**
	 * 批号
	 * @param batchNo value
	 */
	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	/**
	 * 废品总米长
	 * @return value
	 */
	public String getTotalLen() {
		return totalLen;
	}

	/**
	 * 废品总米长
	 * @param totalLen value
	 */
	public void setTotalLen(String totalLen) {
		this.totalLen = totalLen;
	}

	/**
	 *
	 */
	private String matNo = "";

	/**
	 *
	 * @return value
	 */
	public String getMatNo() {
		return matNo;
	}

	/**
	 *
	 * @param matNo value
	 */
	public void setMatNo(String matNo) {
		this.matNo = matNo;
	}

}